aboutsummaryrefslogtreecommitdiff
path: root/subprojects/maintenance/get-licenses
diff options
context:
space:
mode:
Diffstat (limited to 'subprojects/maintenance/get-licenses')
-rwxr-xr-xsubprojects/maintenance/get-licenses48
1 files changed, 48 insertions, 0 deletions
diff --git a/subprojects/maintenance/get-licenses b/subprojects/maintenance/get-licenses
new file mode 100755
index 0000000..407d64d
--- /dev/null
+++ b/subprojects/maintenance/get-licenses
@@ -0,0 +1,48 @@
+#!/usr/bin/env bash
+# This file is part of Free Software Directory (Savannah)
+# Copyright (C) 2018 David Hedlund
+#
+# Licensed under the Apache License, Version 2.0 (the "License");
+# you may not use this file except in compliance with the License.
+# You may obtain a copy of the License at
+
+# http://www.apache.org/licenses/LICENSE-2.0
+
+# Unless required by applicable law or agreed to in writing, software
+# distributed under the License is distributed on an "AS IS" BASIS,
+# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
+# See the License for the specific language governing permissions and
+# limitations under the License.
+
+scriptsrc=$(readlink -f -- "${BASH_SOURCE[0]}")
+run_path=$(dirname "${scriptsrc}" || echo .)
+filename=$(basename "$0");
+
+rm -fr "$run_path/build"
+mkdir -p "$run_path/build"
+
+######################################################################
+# List licenses from Debian packages
+
+for i in $(find ../../output/*.json); do
+
+ echo "$i"
+ jq -r '.[] | select(.[0] == "Project license") | .[1].License' "$i" >> "$run_path/build/current-licenses.txt"
+
+ (printf $(basename "$i")"\t" && jq -r '.[2][1].License' "$i") >> "$run_path/build/current-licenses-and-packages.txt"
+
+done
+
+sort -u "$run_path/build/current-licenses.txt" > "$run_path/build/current-licenses-unique.txt"
+
+######################################################################
+# Evaluate new licenses
+
+while IFS= read -r license; do
+
+ if ! grep -q "$license" modify-wiki ; then echo "$license" >> modify-wiki-EVALUATE.txt; fi
+
+done < "$run_path/build/current-licenses-unique.txt"
+
+if [ -f modify-wiki-EVALUATE.txt ]; then echo "========================================================
+Generated modify-wiki-EVALUATE.txt, merge it to modify-wiki and delete it."; fi